Subject: bug#40654: closed (Re: [bug#40654] [PATCH] gnu: gnutls: Enable p11-kit.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Oct 2020 20:52:02 +0000

Your bug report

#40654: [PATCH core-updates] gnu: gnutls: Enable p11-kit.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40654: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40654
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#40654] [PATCH] gnu: gnutls: Enable p11-kit.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Wed, 21 Oct 2020 21:50:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines <[email-masked]> writes:

> Everywhere except mips64el, where a comment says it doesn't work. I can't test
> as I can't build this on mips64el anyway.
>
> This change will enable running the tests for libcacard.
>
> * gnu/packages/tls.scm (gnutls)[arguments]: Only specify --without-p11-kit on
> mips64el.
> [inputs]: Include the p11-kit for all systems except mips64el.
> ---
>  gnu/packages/tls.scm | 20 +++++++++++++++-----
>  1 file changed, 15 insertions(+), 5 deletions(-)
>
> diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
> index 3eb32fc27a..85f159a401 100644
> --- a/gnu/packages/tls.scm
> +++ b/gnu/packages/tls.scm
> @@ -181,7 +181,7 @@ living in the same process.")
>       `(; Ensure we don't keep a reference to this buggy software.
>         #:disallowed-references (,net-tools)
>         #:configure-flags
> -       (list
> +       (cons*
>               ;; GnuTLS doesn't consult any environment variables to specify
>               ;; the location of the system-wide trust store.  Instead it has a
>               ;; configure-time option.  Unless specified, its configure script
> @@ -202,9 +202,14 @@ living in the same process.")
>               (string-append "--with-guile-extension-dir="
>                              "$(libdir)/guile/$(GUILE_EFFECTIVE_VERSION)/extensions")
>  
> -             ;; FIXME: Temporarily disable p11-kit support since it is not
> -             ;; working on mips64el.
> -             "--without-p11-kit")
> +             (let ((system ,(or (%current-target-system)
> +                                (%current-system))))
> +               (if (string-prefix? "mips64el" system)
> +                   (list
> +                    ;; FIXME: Temporarily disable p11-kit support since it is
> +                    ;; not working on mips64el.
> +                    "--without-p11-kit")
> +                   '())))
>  
>         #:phases (modify-phases %standard-phases
>                    (add-after
> @@ -227,7 +232,12 @@ living in the same process.")
>         ("pkg-config" ,pkg-config)
>         ("which" ,which)))
>      (inputs
> -     `(("guile" ,guile-2.2)))
> +     `(("guile" ,guile-2.2)
> +       ,@(let ((system (or (%current-target-system)
> +                           (%current-system))))
> +           (if (string-prefix? "mips64el" system)
> +               '()
> +               `(("p11-kit" ,p11-kit))))))
>      (propagated-inputs
>       ;; These are all in the 'Requires.private' field of gnutls.pc.
>       `(("libtasn1" ,libtasn1)

I've pushed this to core-updates now as
1c2889b1ce08e1f91193e237e03462dc74c63726.

Subject: [PATCH] gnu: gnutls: Enable p11-kit.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Thu, 16 Apr 2020 09:34:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Everywhere except mips64el, where a comment says it doesn't work. I can't test
as I can't build this on mips64el anyway.

This change will enable running the tests for libcacard.

* gnu/packages/tls.scm (gnutls)[arguments]: Only specify --without-p11-kit on
mips64el.
[inputs]: Include the p11-kit for all systems except mips64el.
---
 gnu/packages/tls.scm | 20 +++++++++++++++-----
 1 file changed, 15 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index 3eb32fc27a..85f159a401 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -181,7 +181,7 @@ living in the same process.")
      `(; Ensure we don't keep a reference to this buggy software.
        #:disallowed-references (,net-tools)
        #:configure-flags
-       (list
+       (cons*
              ;; GnuTLS doesn't consult any environment variables to specify
              ;; the location of the system-wide trust store.  Instead it has a
              ;; configure-time option.  Unless specified, its configure script
@@ -202,9 +202,14 @@ living in the same process.")
              (string-append "--with-guile-extension-dir="
                             "$(libdir)/guile/$(GUILE_EFFECTIVE_VERSION)/extensions")
 
-             ;; FIXME: Temporarily disable p11-kit support since it is not
-             ;; working on mips64el.
-             "--without-p11-kit")
+             (let ((system ,(or (%current-target-system)
+                                (%current-system))))
+               (if (string-prefix? "mips64el" system)
+                   (list
+                    ;; FIXME: Temporarily disable p11-kit support since it is
+                    ;; not working on mips64el.
+                    "--without-p11-kit")
+                   '())))
 
        #:phases (modify-phases %standard-phases
                   (add-after
@@ -227,7 +232,12 @@ living in the same process.")
        ("pkg-config" ,pkg-config)
        ("which" ,which)))
     (inputs
-     `(("guile" ,guile-2.2)))
+     `(("guile" ,guile-2.2)
+       ,@(let ((system (or (%current-target-system)
+                           (%current-system))))
+           (if (string-prefix? "mips64el" system)
+               '()
+               `(("p11-kit" ,p11-kit))))))
     (propagated-inputs
      ;; These are all in the 'Requires.private' field of gnutls.pc.
      `(("libtasn1" ,libtasn1)
-- 
2.26.0